%global extname    wsmatrix
%global extauth    martin.zurowietz.de
%global extdir     %{_datadir}/gnome-shell/extensions/%{extname}@%{extauth}
%global gschemadir %{_datadir}/glib-2.0/schemas

Name:           gnome-shell-extension-%{extname}
Version:        2.6.0
Release:        1%{?dist}
Summary:        Workspace manager for GNOME Shell

License:        GPL-3.0-or-later
URL:            https://github.com/mzur/gnome-shell-%{extname}
Source0:        https://github.com/mzur/gnome-shell-%{extname}/archive/refs/tags/v%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  findutils

%description
GNOME shell extension to arrange workspaces in a two
dimensional grid with workspace thumbnails.

%prep
%autosetup -n gnome-shell-%{extname}-%{version}


%build
find . -type f -name "gschemas.compiled" -delete
sed -i 's/"version": -1/"version": 15/' "%{extname}@%{extauth}/metadata.json"


%install
%__install -d %{buildroot}%{extdir}
for asset in $(find . -type f -name "*.js" -o -name "*.css" -o -name "*.ui" -o -name "*.json")
do
    %__install -m 0644 ${asset} %{buildroot}%{extdir}
done

%__install -d %{buildroot}%{gschemadir}
%__install -m 0644 %{extname}@%{extauth}/schemas/*.xml %{buildroot}%{gschemadir}


%files
%license LICENSE
%doc README.md
%{extdir}
%{gschemadir}/*gschema.xml


%changelog
* Thu Mar 16 2023 Michael Rochefort <mroche@omenos.dev> - 2.6.0-1
- Build Workspace Matrix for EPEL 8
